/* $Id: parsec.h 225 2007-05-15 14:02:25Z gloomy $ */

/*
 * Base header for all parsec subsystems.
 */

#ifndef _PARSEC_H_
#define _PARSEC_H_

#include <sys/types.h>
#include <sys/ioctl.h>
#include <pthread.h>
#include <stdint.h>

#include <parsec/common.h>
#include <parsec/config.h>

#ifndef PROJECT
#define PROJECT parsec
#endif

#ifdef __cplusplus
extern "C" {
#endif

	/* Common parsec functions */
	extern int parsec_open(void);
	extern int parsec_close(void);

#ifdef __cplusplus
}
#endif

#endif /* _PARSEC_H_ */
