#ifndef _PARSEC_INTEGRATION_H_
#define _PARSEC_INTEGRATION_H_

#include <parsec/parsec_cap.h>
#include <parsec/parsec_linux_cap.h>

#ifdef __cplusplus
extern "C" {
#endif
	int parsec_suid(const linux_caps_t *lcaps, const parsec_caps_t *cmaps); /* parsec safe drop suid */

	int parsec_cur_caps_set(const linux_caps_t *lcaps, const parsec_caps_t *pcaps);
	int parsec_sw_ugid_caps(uid_t uid, gid_t gid, const linux_caps_t *lcaps, const parsec_caps_t *pcaps);

	int parsec_chmac_ign(const char *filename);
	int parsec_fchmac_ign(int fd);
#ifdef __cplusplus
}
#endif

#endif /* _PARSEC_INTEGRATION_H_  */
